Module ij
Package ij.plugin

# Class SubstackMaker

java.lang.Object
ij.plugin.SubstackMaker

All Implemented Interfaces:
  `PlugIn`

public class SubstackMaker extends Object implements PlugIn
This plugin implements the Image/Stacks/Tools/Make Substack command. What it does is extracts selected images from a stack to make a new substack. It takes three types of inputs: a range of images (e.g. 2-14), a range of images with an increment (e.g. 2-14-3), or a list of images (e.g. 7,9,25,27,34,132). It then copies those images from the active stack to a new stack in the order of listing or range.

Author:
  Anthony Padua, Daniel Barboriak, MD, Neuroradiology, Duke University Medical Center, Ved P. Sharma, Ph.D., Anatomy and Structural Biology, Albert Einstein College of Medicine

## Constructor Summary

Constructors
Constructor
Description
`SubstackMaker()`

## Method Summary

Modifier and Type
Method
Description
`ImagePlus`
`makeSubstack(ImagePlus imp, String userInput)`
`static ImagePlus`
`run(ImagePlus imp, String rangeOrList)`
Extracts selected slices from a stack to make a new substack.
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstackMaker

public SubstackMaker()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### run

public static ImagePlus run(ImagePlus imp, String rangeOrList)
Extracts selected slices from a stack to make a new substack. Takes three types of inputs: a range of images (e.g. "2-14"), a range of images with an increment (e.g. "2-14-3"), or a list of images (e.g. "7,9,25,27"). Precede with 'delete ' (e.g. "delete 2-14") and the slices will be deleted from the stack.

### makeSubstack

public ImagePlus makeSubstack(ImagePlus imp, String userInput)